Apache C++ Standard Library Reference Guide

## <stdexcept>

Library: Diagnostics

    Header

- Local Index
- Summary
- Synopsis
- See Also
- Standards Conformance

### Local Index

No Entries

### Summary

The header `<stdexcept>` is part of the Diagnostics library of the C++ Standard Library. It defines the classes that the C++ Standard Library itself and C++ programs may use to report certain errors. These classes include: logic_error, domain_error, invalid_argument, length_error, out_of_range, runtime_error, range_error, overflow_error, and underflow_error.

### Synopsis

    namespace std {
      class logic_error;
        class domain_error;
        class invalid_argument;
        class length_error;
        class out_of_range;
      class runtime_error;
        class range_error;
        class overflow_error;
        class underflow_error;
    }

### See Also

logic_error, domain_error, invalid_argument, length_error, out_of_range, runtime_error, range_error, overflow_error, underflow_error, Exceptions

### Standards Conformance

ISO/IEC 14882:1998 -- International Standard for Information Systems --Programming Language C++, Section 19.1